package com.iamberry.wechat.service.mapper;

import java.util.List;

import com.iamberry.wechat.core.entity.rewards.RewardsLog;
import com.iamberry.wechat.core.entity.rewards.RewardsRank;

/**
 * 分销奖励及记录 mapper
 * @author Administrator
 *
 */
public interface RewardsMapper {
	
	/**
	 * 根据产品类型查询会员等级表
	 * @param rewardsRank
	 * @return
	 */
	public List<RewardsRank> getRankByRankProductType(RewardsRank rewardsRank);
	
	/**
	 * 获取最大销售任务奖励内容
	 * @param rewardsRank
	 * @return
	 */
	public RewardsRank getMaxRankByProductType(RewardsRank rewardsRank);
	
	/**
	 * 插入会员销售奖励记录表数据
	 * @param rewardsLog
	 * @return
	 */
	public Integer insertRewardsLog(RewardsLog rewardsLog);
	
	/**
	 * 查询所有 分销奖励
	 * 2016年9月20日
	 * @return
	 */
	public List<RewardsRank> selectRewardsList();
	
	/**
	 * 添加一个分销奖励规则
	 * 2016年9月20日
	 * @param rewardsRank
	 * @return
	 */
	public Integer insertRewardsRank(RewardsRank rewardsRank);
	
	/**
	 * 根据id查询一个分销奖励规则
	 * 2016年9月20日
	 * @return
	 */
	public RewardsRank selectRewardsRankById(Integer rankId);
	
	/**
	 * 根据id修改一个分销奖励规则
	 * 2016年9月20日
	 * @return
	 */
	public Integer updateRewardsRank(RewardsRank rewardsRank);
	
	/**
	 * 根据id删除一个分销奖励规则
	 * 2016年9月20日
	 * @param rewardsRank
	 * @return
	 */
	public Integer deleteRewardsRankById(RewardsRank rewardsRank);
}
